hpp-corbaserver: _impl_DifferentiableFunction Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_DifferentiableFunction Class Referenceabstract

`#include <hpp/constraints_idl/constraints-idl.hh>`

Inheritance diagram for _impl_DifferentiableFunction:
[legend]
Collaboration diagram for _impl_DifferentiableFunction:
[legend]

## Public Member Functions
virtual | ~_impl_DifferentiableFunction ()
virtual floatSeq * | value (const ::hpp::floatSeq &arg)=0
virtual floatSeqSeq * | jacobian (const ::hpp::floatSeq &arg)=0
virtual size_type | inputSize ()=0
virtual size_type | inputDerivativeSize ()=0
virtual size_type | outputSize ()=0
virtual size_type | outputDerivativeSize ()=0
virtual char * | name ()=0
virtual char * | str ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_DifferentiableFunction()

virtual _impl_DifferentiableFunction::~_impl_DifferentiableFunction | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_DifferentiableFunction::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented in _impl_ConfigurationConstraint.

## ◆ inputDerivativeSize()

virtual size_type _impl_DifferentiableFunction::inputDerivativeSize | ( |  | ) |
| pure virtual

## ◆ inputSize()

virtual size_type _impl_DifferentiableFunction::inputSize | ( |  | ) |
| pure virtual

## ◆ jacobian()

virtual floatSeqSeq * _impl_DifferentiableFunction::jacobian | ( | const ::hpp::floatSeq & | arg | ) |
| pure virtual

## ◆ name()

virtual char * _impl_DifferentiableFunction::name | ( |  | ) |
| pure virtual

## ◆ outputDerivativeSize()

virtual size_type _impl_DifferentiableFunction::outputDerivativeSize | ( |  | ) |
| pure virtual

## ◆ outputSize()

virtual size_type _impl_DifferentiableFunction::outputSize | ( |  | ) |
| pure virtual

## ◆ str()

virtual char * _impl_DifferentiableFunction::str | ( |  | ) |
| pure virtual

## ◆ value()

virtual floatSeq * _impl_DifferentiableFunction::value | ( | const ::hpp::floatSeq & | arg | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/constraints_idl/constraints-idl.hh